---
inputType: "CA10__CaGoogleGceStaticAddress__c"
testData:
  - file: test-data.json
importExtracts:
  - file: /types/CA10__CaGoogleGceStaticAddress__c/object.extracts.yaml
conditions:
  - status: "COMPLIANT"
    currentStateMessage: "The GCE IP Address is not in Reserved status."
    check:
      NOT_EQUAL:
        left:
          EXTRACT: "CA10__status__c"
        right:
          TEXT: "RESERVED"
  - status: "INCOMPLIANT"
    currentStateMessage: "The External GCE IP Address is reserved but not in use."
    remediationMessage: "Consider deleting the unused IP address to reduce costs,\
      \ environment clutter, and security exposure."
    check:
      IS_EQUAL:
        left:
          EXTRACT: "CA10__addressType__c"
        right:
          TEXT: "EXTERNAL"
  - status: "INCOMPLIANT"
    currentStateMessage: "The Internal GCE IP Address is reserved but not in use."
    remediationMessage: "Consider deleting the unused IP address to reduce costs,\
      \ environment clutter, and security exposure."
    check:
      IS_EQUAL:
        left:
          EXTRACT: "CA10__addressType__c"
        right:
          TEXT: "INTERNAL"
  - status: "INCOMPLIANT"
    currentStateMessage: "The External GCE IP Address is reserved but not in use."
    remediationMessage: "Consider deleting the unused IP address to reduce costs,\
      \ environment clutter, and security exposure."
    check:
      IS_EMPTY:
        arg:
          EXTRACT: "CA10__addressType__c"
otherwise:
  status: "UNDETERMINED"
  currentStateMessage: "Unexpected values in the fields."